GeneratedBytecodeAwareGroovyClassLoader (groovy 2.4.6 API)
Date: 2016-02-18

Package: groovy.inspect.swingui

## [Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

- groovy.inspect.swingui.GeneratedBytecodeAwareGroovyClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedBytecodeAwareGroovyClassLoader (GroovyClassLoader parent)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clearBytecodeTable()`
    `protected ClassCollector` | `createCollector(CompilationUnit unit, SourceUnit su)`
    `byte[]` | `getBytecode(String className)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, addClasspath, setResourceLoader, getResourceLoader, generateScriptName, getLoadedClasses, setShouldRecompile, isShouldRecompile, loadClass, loadClass, loadClass, defineClass, defineClass, clearCache, addURL, getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class URLClassLoader` | `getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, loadClass, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

  - ### Method Detail

    - #### void clearBytecodeTable()

    - #### @Override protected ClassCollector createCollector(CompilationUnit unit, SourceUnit su)

    - #### byte[] getBytecode(String className)